Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Awaiting product image
Click to enlarge
Home Uncategorized BLACK CHICK PEAS (BLACK CHANA) – KG
Twin Elephants & Earth Canned Fruits 565g Banana  (whole ) in Syrup
Twin Elephants & Earth Canned Fruits 565g Banana (whole ) in Syrup .ރ 25.00
Back to products
CHICKI CHUNK CHICKEN W/HOT CHILI 160 g
CHICKI CHUNK CHICKEN W/HOT CHILI 160 g .ރ 35.00

BLACK CHICK PEAS (BLACK CHANA) – KG

.ރ 0.06

14809 in stock

SKU: 03905 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

AKBAR TEA BAGS (NORMAL) 25 X 2 g (S)

.ރ 15.00
Add to cart

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST CALCIUM MILK POWDER (SACHET) 800g RFC004

.ރ 190.00
Add to cart

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart
Placeholder

COAST CALCIUM MILK POWDER 900 g RFC003

.ރ 220.00
Add to cart
Placeholder

GEM BISCUITS 4 Kg (MAHKOTA)

.ރ 0.12
Add to cart

JULIES CHEESE SANDWICH 126 g

.ރ 28.00
Add to cart

YEYE 3 IN 1 COFFEE MIX 20g JDE009

.ރ 3.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account